function [ signature ] = bw2sig( bw2, pout )

% Find the centroid
s  = regionprops(bw2, 'centroid');
centroids = cat(1, s.Centroid);

% Find the edge of the object
K = edge(bw2,'sobel');
[K, map] = gray2ind(K,2);

% Visualize the result for the user
BWoutline = bwperim(K);
Segout = pout;
Segout(BWoutline) = 255;
%{
imshow(Segout), title('outlined original image');

figure;
imshow(BWoutline);

%Draw the centroid on the image
hold(imgca,'on')
plot(imgca,centroids(:,1), centroids(:,2), 'r*')
hold(imgca,'off')
%}

% Generate the target's signature
dimen = size(K);
counter = 1;
for i=1:dimen(1)
    for k=1:dimen(2)
        if(K(i,k)~=0) % Found an edge point, save the data for this point
                % Distance from centroid
                signature(counter,1) = atan2((centroids(1,2)-i),(centroids(1,1)-k));
                % Angle
                signature(counter,2) = (sqrt((centroids(1,2)-i)^2+(centroids(1,1)-k)^2));
                % Pixel position
                signature(counter,3) = i;
                signature(counter,4) = k;
                counter = counter +1;
        end
    end
end
% Sort the signature data by angle
signature = sortrows(signature);

end

